> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/user-management/v1/users/{userId} > Retrieves a single user by identifier ## OpenAPI ````json GET /public/user-management/v1/users/{userId} { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/user-management/v1/users/{userId}": { "get": { "tags": [ "netcore" ], "description": "Retrieves a single user by identifier", "parameters": [ { "name": "userId", "in": "path", "description": "The unique identifier of the user to retrieve (UUID format)", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "User", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Netcore.Public.Contracts.User.Model.User" } } } } } } } }, "components": { "schemas": { "R365.Netcore.Public.Contracts.User.Model.User": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the user." }, "fullName": { "type": "string" }, "username": { "type": "string" }, "defaultLocation": { "$ref": "#/components/schemas/R365.Netcore.Public.Contracts.User.Model.Location" }, "mobileNumber": { "type": "string" }, "email": { "type": "string" }, "inactive": { "type": "boolean", "description": "Indicates whether the user is inactive." }, "allLocationsAccess": { "type": "boolean" }, "allBrandFranchiseeLocationAccess": { "type": "boolean" }, "allReportsAccess": { "type": "boolean" }, "canGrantAccessBeyondPersonalLevel": { "type": "boolean" }, "userRoles": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Netcore.Public.Contracts.User.Model.Role" } }, "reportRoles": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Netcore.Public.Contracts.User.Model.Role" } }, "locations": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Netcore.Public.Contracts.User.Model.Location" } }, "externalLocations": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Netcore.Public.Contracts.User.Model.Location" } }, "subGroupValues": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Netcore.Public.Contracts.User.Model.OptionWithLocationGroup" } } }, "additionalProperties": false }, "R365.Netcore.Public.Contracts.User.Model.Location": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the location." }, "name": { "type": "string", "description": "Display name of the location." }, "number": { "type": "string", "description": "Number assigned to the location." } }, "additionalProperties": false }, "R365.Netcore.Public.Contracts.User.Model.Role": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the role." }, "name": { "type": "string", "description": "Display name of the role." } }, "additionalProperties": false }, "R365.Netcore.Public.Contracts.User.Model.OptionWithLocationGroup": { "type": "object", "properties": { "id": { "type": "integer", "format": "int32", "description": "Unique identifier of the option with location group." }, "subGroupValue": { "type": "string", "nullable": true }, "locationGroup": { "$ref": "#/components/schemas/R365.Netcore.Contracts.Users.Models.EntityReferenceLongGet" } }, "additionalProperties": false }, "R365.Netcore.Contracts.Users.Models.EntityReferenceLongGet": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "description": "Unique identifier of the entity reference long." }, "name": { "type": "string", "nullable": true, "description": "Display name of the entity reference long." } }, "additionalProperties": false } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````